#
# spec file for package tvbrowser
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define	_default_patch_fuzz	3
Name:           tvbrowser
Summary:        Digital TV guide
Version:        3.4.1.0
Release:        2.1
License:        LGPL v2.1 or later
Group:          Productivity/Networking/News/Utilities
Requires:       java >= 1.6
Url:            http://tv-browser.org
Source0:        %{name}_%{version}_bin.tar.bz2
Source1:	%{name}-rpmlintrc
Patch0:		%{name}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif
%if 0%{?suse_version} >= 1130 || 0%{?centos_version} >= 6 || 0%{?rhel_version} >= 600 || 0%{?sl_version} >= 600
BuildRequires:	optipng
%endif

%description
TV-Browser is a Java 1.5 based digital TV guide for more than 140
TV/Radio channels and some cinemas.



Authors:
--------
    Bodo Tasche
    Martin Oberhauser
    René Mach
    Björn Balazs
    Nelson Darkwah Oppong
    Joakim Arborelius
    Til Schneider

%prep
%setup -q -n %{name}-%{version}
%patch0

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION="true"
rm -f *.url
find -name "*.png" | while read a
do
	optipng -o 5 "$a"
done
install -d %buildroot%_datadir/%name
install -d %buildroot/usr/bin
cp -a *  %buildroot%_datadir/%name/
install -d %buildroot/usr/share/icons/hicolor/128x128/apps
install -d %buildroot/usr/share/icons/hicolor/48x48/apps
install -d %buildroot/usr/share/icons/hicolor/32x32/apps
install -d %buildroot/usr/share/icons/hicolor/16x16/apps
cp -p imgs/tvbrowser128.png %buildroot/usr/share/icons/hicolor/128x128/apps/tvbrowser.png
cp -p imgs/tvbrowser48.png %buildroot/usr/share/icons/hicolor/48x48/apps/tvbrowser.png
cp -p imgs/tvbrowser32.png %buildroot/usr/share/icons/hicolor/32x32/apps/tvbrowser.png
cp -p imgs/tvbrowser16.png %buildroot/usr/share/icons/hicolor/16x16/apps/tvbrowser.png
install -d %{buildroot}%{_datadir}/applications
install -p tvbrowser.desktop %{buildroot}%{_datadir}/applications/tvbrowser.desktop
find %{buildroot} -name \*.orig -exec rm {} \;

%if 0%{?suse_version}  
%suse_update_desktop_file %{name}  
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%_datadir/%name
%{_datadir}/applications/tvbrowser.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/128x128
%dir %{_datadir}/icons/hicolor/128x128/apps
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/icons/hicolor/16x16/apps/tvbrowser.png
%{_datadir}/icons/hicolor/32x32/apps/tvbrowser.png
%{_datadir}/icons/hicolor/48x48/apps/tvbrowser.png
%{_datadir}/icons/hicolor/128x128/apps/tvbrowser.png

%post
ln -s -f %_datadir/%name/tvbrowser.sh /usr/bin/tvbrowser

%changelog
* Fri Dec 26 2014 cs@linux-administrator.com
- update to release 3.4.1.0
* Thu Aug 28 2014 cs@linux-administrator.com
- update to release 3.4
* Wed Nov 20 2013 cs@linux-administrator.com
- update to release 3.3.3
* Sun Sep  1 2013 cs@linux-administrator.com
- update to release 3.3.2
* Sat Mar 23 2013 cs@linux-administrator.com
- update to release 3.3
* Sun Nov  4 2012 cs@linux-administrator.com
- update to release 3.2.1
* Sat Sep 15 2012 cs@linux-administrator.com
- update to release 3.2
* Sat Nov  5 2011 cs@linux-administrator.com
- update to release 3.1
* Fri Apr 29 2011 cs@linux-administrator.com
- update to release 3.0.1
* Sat Feb  5 2011 cs@linux-administrator.com
- update to release 2.7.6
